/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.user-item{
    display: flex;
    align-items: center;
    min-width: rem(110);
    flex-wrap: wrap;
    gap: rem(12);

    &-img{
        width: rem(40);
        height: rem(40);
        overflow: hidden;
        border-radius: 100%;

        img{
            object-fit: cover;
            width: 100%;
            height: 100%;
            object-position: center;
        }
    }

    &-text{
        margin-left: rem(8);
    }

    &-name{
        font-weight: 500;
        font-size: rem(13);
        line-height: rem(15);
        color: var(--white);
        min-width: rem(125);
    }

    &-role{
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(14);
        color: var(--white);
        margin-top: rem(2);
    }

    &.user-item-bigger{
        .user-item-img{
            width: rem(80);
            height: rem(80);
        }

        .user-item-text{
            margin-left: rem(12);
        }

        .user-item-name{
            font-size: rem(16);
            line-height: rem(19);
        }

        .user-item-role{
            font-size: rem(16);
            line-height: rem(19);
            font-weight: 400;
            margin-top: rem(8);
        }
    }

    &-line{
        width: 100%;
        padding: rem(16);
        border-radius: rem(24);
        display: flex;
        justify-content: space-between;
        align-items: center;
        background: var(--color-default-8);
        border: 1px solid var(--color-default-5);
        margin-bottom: rem(8);
        
        &-actions {
            display: flex;
            flex-wrap: wrap;
            gap: 12px 24px;
        }

    }
}

.welcome-user{
    display: flex;
    align-items: center;
    flex-direction: column;
    padding-bottom: rem(40);
    border-bottom: 1px solid rgba(133, 127, 228, 0.4);

    &-img{
        width: rem(162);
        height: rem(162);
        border-radius: 100%;
        position: relative;

        .image-container {
            display: inline-block;
            padding: 1px;
            background: linear-gradient(180deg, #4C42CB 0%, #988FFF 100%);
            border-radius: 50%;
            position: relative;
        }

        img{
            display: block;
            border-radius: 50%; 
            width: rem(160);
            height: rem(160);
            object-fit: cover;
            object-position: center;
        }

        &::before{
            content: '';
            position: absolute;
            width: calc(100% + 16px);
            height: calc(100% + 16px);
            left: -9px;
            top: -9px;
            border-radius: rem(162);
            border: 1px solid var(--color-default-1);
            opacity: 0.3;
        }

        &::after{
            content: '';
            position: absolute;
            width: calc(100% + 32px);
            height: calc(100% + 32px);
            left: -17px;
            top: -17px;
            border-radius: rem(162);
            border: 1px solid var(--color-default-1);
            opacity: 0.1;
        }

        .image-blur{
            position: absolute;
            width: rem(162);
            height: rem(143);
            left: rem(0);
            top: rem(37);
            border-radius: rem(88);
            background: #D9D9D9;
            opacity: 0.3;
            filter: blur(rem(15));
            z-index: -1;
        }
    }

    &-text{
        font-size: rem(24);
        line-height: rem(33);
        color: var(--white);
        font-weight: 300;
        text-align: center;
        margin-top: rem(40);
    }

    &-data{
        display: flex;
        align-items: center;
        justify-content: center;
        margin-top: rem(24);

        &-title{
            font-size: rem(13);
            line-height: rem(18);
            color: var(--color-default-1);
            font-weight: 300;
            margin-right: rem(16);
        }

        &-role{
            font-size: rem(13);
            line-height: rem(18);
            color: var(--white);
            font-weight: 300;
            padding-left: rem(12);
            position: relative;

            &::before{
                content: '';
                width: rem(5);
                height: rem(5);
                border-radius: rem(200);
                background-color: var(--color-hover-icon);
                position: absolute;
                left: 0;
                top: 50%;
                transform: translateY(-50%);
            }
        }
    }

    &-info{
        margin-top: rem(22);

        &-title{
            font-size: rem(13);
            line-height: rem(18);
            color: var(--color-default-1);
            font-weight: 300;
            margin-bottom: rem(24);
            text-align: center;
        }

        &-item{
            display: flex;
            align-items: center;
            justify-content: space-between;
            font-size: rem(14);
            line-height: rem(14);
            font-weight: 300;
            padding: rem(16);
            width: 100%;
            border-radius: rem(8);
            margin-bottom: rem(8);
            position: relative;
            transition: all 0.5s ease-in-out;
            overflow: hidden;

            &::after{
                content: '';
                width: 200%;
                height: 100%;
                position: absolute;
                bottom: 0;
                left: -100%;
                z-index: 1;
                transition: all 0.5s ease;
                background: linear-gradient(90deg, rgba(11, 8, 62, 0) 0%, #4C42CB 50%, rgba(11, 8, 62, 0) 100%);
                z-index: -1;
            }

            &:last-child{
                margin-bottom: 0;
            }

            .user-total{
                width: rem(40);
                color: var(--color-default-1);
                margin-right: rem(8);
                display: inline-block;
            }

            .user-title{
                color: var(--white);
            }

            .icon-arrow {
                height: rem(8);
                width: rem(8);
                font-size: rem(8);
                color: var(--white);
            }

            &:hover,
            &.active {
                .user-total{
                    color: var(--white);
                }

                &::after{
                    width: 200%;
                    left: 0;
                    -webkit-transition: all 0.5s ease;
                    transition: all 0.5s ease;
                }
            }
        }
    }
}